<!DOCTYPE html>
<?php
session_start();
include("konfigurace.php");
?>
<html>
    <head>
        <?php include("head.php"); ?>
    </head>
    <body>
        <div id="wrapper">
            <header>
                <p>
                    <?php
                    include("hlavicka.php");
                    ?>
                </p>
                <a href="index.php">
                    <div id="logo">
                        <h1>Řemeslníci</h1>
                    </div>
                </a>
            </header>
            <div id="page">
                <h2>Registrace</h2>
                <div id="blok">
                    <?php
                    $jmenoer = $prijmenier = $emailer = $loginer = $hesloer = $telefoner = $cenaer = $adresaer = $mestoer = $kategorieer = $krajer = "";
                    $jmeno = $prijmeni = $email = $login = $heslo = $cheslo = $firma = $web = $telefon = $cena = $popis = $adresa = $mesto = $kategorie = $kraj = "";
                    if ($_SERVER["REQUEST_METHOD"] == "POST") {
                        if (empty($_POST["jmeno"])) {
                            $jmenoer = "Jmeno je povinné.";
                        } else {
                            $jmeno = test_input($_POST["jmeno"]);
                        }
                        if (empty($_POST["prijmeni"])) {
                            $prijmenier = "Příjmení je povinné.";
                        } else {
                            $prijmeni = test_input($_POST["prijmeni"]);
                        }
                        if (empty($_POST["email"])) {
                            $emailer = "Email je povinný";
                        } else {
                            $email = test_input($_POST["email"]);
                            if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                                $emailer = "Špatný formát.";
                            }
                        }
                        if (strlen($_POST["login"]) < 4) {
                            $loginer = "Uživatelské jméno musí mít minimálně 4 znaky.";
                        } else {
                            $login = test_input($_POST["login"]);
                        }
                        if (strlen($_POST["heslo"]) < 6) {
                            $hesloer = "Heslo musí mít minimálně 6 znaků.";
                        } elseif ($_POST["heslo"] <> $_POST["heslo2"]) {
                            $hesloer = "Hesla se musí shodovat.";
                        } else {
                            $heslo = test_input($_POST["heslo"]);
                            $cheslo = crypt($heslo, $login);
                        }
                        if (empty($_POST["telefon"])) {
                            $telefoner = "Telefon je povinný.";
                        } else {
                            $telefon = test_input($_POST["telefon"]);
                            if (!preg_match("/^[0-9]*$/", $telefon)) {
                                $telefoner = "Jsou povolena pouze čísla.";
                            }
                        }
                        if (empty($_POST["adresa"])) {
                            $adresaer = "Adresa je povinná.";
                        } else {
                            $adresa = test_input($_POST["adresa"]);
                        }
                        if (empty($_POST["mesto"])) {
                            $mestoer = "Město je povinné.";
                        } else {
                            $mesto = test_input($_POST["mesto"]);
                        }
                        if (empty($_POST["cena"])) {
                            $cenaer = "Cena je povinná.";
                        } else {
                            $cena = test_input($_POST["cena"]);
                        }
                        if (empty($_POST["popis"])) {
                            $popis = "";
                        } else {
                            $popis = test_input($_POST["popis"]);
                        }
                        if (empty($_POST["firma"])) {
                            $firma = "";
                        } else {
                            $firma = test_input($_POST["firma"]);
                        }
                        if (empty($_POST["web"])) {
                            $web = "";
                        } else {
                            $web = test_input($_POST["web"]);
                        }
                        if (!empty($_POST['kategorie'])) {
                            $kategorie = serialize($_POST['kategorie']);
                        } else {
                            $kategorie = "N;";
                            $kategorieer = "Musíte vybrat alespoň jednu kategorii.";
                        }

                        if (!empty($_POST['kraje'])) {
                            $kraj = serialize($_POST['kraje']);
                        } else {
                            $kraj = "N;";
                            $krajer = "Musíte vybrat alespoň jeden kraj.";
                        }
                        if ($jmenoer == "" && $prijmenier == "" && $emailer == "" && $loginer == "" && $hesloer == "" && $telefoner == "" && $adresaer == "" && $mestoer == "" && $cenaer == "" && $kategorieer == "" && $krajer == "") {
                            $sqlr = "INSERT INTO remeslnici (jmeno, prijmeni, email, login, heslo, firma, web, telefon, cena, popis," .
                                    " adresa, mesto, kategorie, kraj, hodnoceni, hodnocenimax) VALUES ('" .
                                    $jmeno . "', '" . $prijmeni . "', '" . $email . "', '" . $login . "', '" . $cheslo . "', '" . $firma . "', '" . $web .
                                    "', '" . $telefon . "', '" . $cena . "', '" . $popis . "', '" . $adresa . "', '" . $mesto . "', '" . $kategorie .
                                    "', '" . $kraj . "', 0, 0);";

                            if ($conn->multi_query($sqlr) === TRUE) {
                                header("location: index.php");
                            } else {
                                echo "Error: " . $sqlr . "<br>" . $conn->error;
                            }
                        } else {
                            echo "Musíte správně vyplnit povinné pole!";
                        }
                    } else {
                        $kategorie = "N;";
                        $kraj = "N;";
                    }

                    function test_input($data) {
                        $data = trim($data);
                        $data = stripslashes($data);
                        $data = htmlspecialchars($data);
                        return $data;
                    }
                    ?>
                    <span class="error">* povinné pole.</span><br><br>
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
                        <div class="box" id="box1">
                            Jmeno: <input type="text" name="jmeno" value="<?php echo $jmeno; ?>"><span class="error">* <?php echo $jmenoer; ?></span><br><br>
                            Příjmení: <input type="text" name="prijmeni" value="<?php echo $prijmeni; ?>"><span class="error">* <?php echo $prijmenier; ?></span><br><br>
                            E-mail: <input type="text" name="email" value="<?php echo $email; ?>"><span class="error">* <?php echo $emailer; ?></span><br><br>
                            Uživatelské jméno: <input type="text" name="login" value="<?php echo $login; ?>"><span class="error">* <?php echo $loginer; ?></span><br><br>
                            Heslo: <input type="password" name="heslo"><span class="error">* <?php echo $hesloer; ?></span><br><br>
                            Heslo znovu: <input type="password" name="heslo2"><span class="error">* </span><br><br>
                            Firma: <input type="text" name="firma" value="<?php echo $firma; ?>"><br><br>
                            Webové stránky: <input type="text" name="web" value="<?php echo $web; ?>"><br><br>
                            Telefon: <input type="text" name="telefon" value="<?php echo $telefon; ?>"><span class="error">* <?php echo $telefoner; ?></span><br><br>
                            Cena: <input type="text" name="cena" value="<?php echo $cena; ?>"><span class="error">* <?php echo $emailer; ?></span><br><br>
                            Adresa: <input type="text" name="adresa" value="<?php echo $adresa; ?>"><span class="error">* <?php echo $adresaer; ?></span><br><br>
                            Město: <input type="text" name="mesto" value="<?php echo $mesto; ?>"><span class="error">* <?php echo $mestoer; ?></span><br><br>
                            Popis: <textarea name="popis" rows="5" cols="30"><?php echo $popis; ?></textarea></div>
                        <div class="box">
                            Kategorie: <span class="error">* <?php echo $kategorieer; ?></span><br><br>                        
                            <?php
                            $sqlkat = "SELECT * FROM kategorie";
                            $resultkat = $conn->query($sqlkat);
                            $kategoriea = array();
                            while ($rowkat = $resultkat->fetch_assoc()) {
                                $kategoriea[] = $rowkat;
                                $polekat = unserialize($kategorie);
                                $ka = "";
                                if ($kategorie <> "N;") {
                                    foreach ($polekat as $kat) {
                                        if ($kat == $rowkat['id']) {
                                            $ka = "checked";
                                        }
                                    }
                                }
                                echo "<input " . $ka . " type='checkbox' name='kategorie[]' value=\"" . $rowkat['id'] . "\">" . $rowkat['nazev'] . "<br>";
                            }
                            ?></div>
                        <div class="box">
                            Kraj: <span class="error">* <?php echo $krajer; ?></span><br><br>
                            <?php
                            $sqlkraj = "SELECT * FROM kraje";
                            $resultkraj = $conn->query($sqlkraj);
                            $kraje = array();
                            while ($rowkraj = $resultkraj->fetch_assoc()) {
                                $kraje[] = $rowkraj;
                                $polekraj = unserialize($kraj);
                                $kr = "";
                                if ($kraj <> "N;") {
                                    foreach ($polekraj as $kra) {
                                        if ($kra == $rowkraj['id']) {
                                            $kr = "checked";
                                        }
                                    }
                                }
                                echo "<input " . $kr . " type='checkbox' name='kraje[]' value=\"" . $rowkraj['id'] . "\">" . $rowkraj['nazev'] . "<br>";
                            }
                            ?></div>           
                        <input id="registrace" type = "submit" value = " Registrovat "/><br>
                    </form>
                </div>
            </div>
        </div>
        <footer>
            <p>Copyright (c) 2017 Řemeslníci. David Prchlík.</p>
        </footer>
    </body>
</html>
