<!DOCTYPE html>
<?php
session_start();
include("konfigurace.php");
?>
<html>
    <head>
        <?php include("head.php"); ?>
    </head>
    <body>
        <div id="wrapper">
            <header>
                <p>
                    <?php
                    include("hlavicka.php");
                    ?>
                </p>
                <a href="index.php">
                    <div id="logo">
                        <h1>Řemeslníci</h1>
                    </div>
                </a>
            </header>
            <div id="page">
                <h2>Úprava profilu</h2>
                <div id="blok">
                    <?php
                    if ($_SESSION["prihlasen"] === true) {
                        $sql = "SELECT * FROM zakaznici where login=\"" . $_SESSION["login"] . "\"";
                        $result = $conn->query($sql);
                        $row = $result->fetch_assoc();
                    } else {
                        header("location: index.php");
                    }
                    $jmenoer = $prijmenier = $emailer = $telefoner = $adresaer = $mestoer = $krajer = "";
                    $jmeno = $prijmeni = $email = $telefon = $adresa = $mesto = $kraj = "";
                    if ($_SERVER["REQUEST_METHOD"] == "POST") {
                        if (empty($_POST["jmeno"])) {
                            $jmenoer = "Jmeno je povinné.";
                        } else {
                            $jmeno = test_input($_POST["jmeno"]);
                        }
                        if (empty($_POST["prijmeni"])) {
                            $prijmenier = "Příjmení je povinné.";
                        } else {
                            $prijmeni = test_input($_POST["prijmeni"]);
                        }
                        if (empty($_POST["email"])) {
                            $emailer = "Email je povinný";
                        } else {
                            $email = test_input($_POST["email"]);
                            if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
                                $emailer = "Špatný formát.";
                            }
                        }
                        if (empty($_POST["telefon"])) {
                            $telefoner = "Telefon je povinný.";
                        } else {
                            $telefon = test_input($_POST["telefon"]);
                            if (!preg_match("/^[0-9]*$/", $telefon)) {
                                $telefoner = "Jsou povolena pouze čísla.";
                            }
                        }
                        if (empty($_POST["adresa"])) {
                            $adresaer = "Adresa je povinná.";
                        } else {
                            $adresa = test_input($_POST["adresa"]);
                        }
                        if (empty($_POST["mesto"])) {
                            $mestoer = "Město je povinné.";
                        } else {
                            $mesto = test_input($_POST["mesto"]);
                        }

                        if ($_POST['kraj'] <> 0) {
                            $kraj = $_POST['kraj'];
                        } else {
                            $krajer = "Musíte vybrat kraj.";
                        }
                        if ($jmenoer == "" && $prijmenier == "" && $emailer == "" && $telefoner == "" && $adresaer == "" && $mestoer == "" && $krajer == "") {
                            $sqlr = "UPDATE zakaznici SET jmeno='" . $jmeno . "', prijmeni='" . $prijmeni . "', email='" . $email . "', telefon='" . $telefon . "', adresa='" . $adresa .
                                    "', mesto='" . $mesto . "', kraj='" . $kraj . "' WHERE login='" . $_SESSION["login"] . "'";
                            if ($conn->multi_query($sqlr) === TRUE) {
                                header("location: profil.php");
                            } else {
                                echo "Error: " . $sqlr . "<br>" . $conn->error;
                            }
                        } else {
                            echo "Musíte správně vyplnit povinné pole!";
                        }
                    } else {
                        $jmeno = $row['jmeno'];
                        $prijmeni = $row['prijmeni'];
                        $email = $row['email'];
                        $telefon = $row['telefon'];
                        $adresa = $row['adresa'];
                        $mesto = $row['mesto'];
                        $kraj = $row['kraj'];
                    }

                    function test_input($data) {
                        $data = trim($data);
                        $data = stripslashes($data);
                        $data = htmlspecialchars($data);
                        return $data;
                    }
                    ?>
                    <span class="error">* povinné pole.</span><br><br>
                    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
                        <div class="box" id="box1">
                            Jmeno: <input type="text" name="jmeno" value="<?php echo $jmeno; ?>"><span class="error">* <?php echo $jmenoer; ?></span><br><br>
                            Příjmení: <input type="text" name="prijmeni" value="<?php echo $prijmeni; ?>"><span class="error">* <?php echo $prijmenier; ?></span><br><br>
                            E-mail: <input type="text" name="email" value="<?php echo $email; ?>"><span class="error">* <?php echo $emailer; ?></span><br><br>
                            Telefon: <input type="text" name="telefon" value="<?php echo $telefon; ?>"><span class="error">* <?php echo $telefoner; ?></span><br><br>
                            Adresa: <input type="text" name="adresa" value="<?php echo $adresa; ?>"><span class="error">* <?php echo $adresaer; ?></span><br><br>
                            Město: <input type="text" name="mesto" value="<?php echo $mesto; ?>"><span class="error">* <?php echo $mestoer; ?></span><br><br>
                            Kraj: <span class="error">* <?php echo $krajer; ?></span>
                            <select id="krajid" name="kraj">
                                <?php
                                $sqlkraj = "SELECT * FROM kraje";
                                $resultkraj = $conn->query($sqlkraj);
                                $kraje = array();
                                $rowkr = $conn->query("SELECT nazev FROM kraje WHERE id = " . $kraj)->fetch_assoc();
                                echo "<option selected value=" . $kraj . ">" . $rowkr['nazev'];
                                while ($rowkraj = $resultkraj->fetch_assoc()) {
                                    $kraje[] = $rowkraj;
                                    echo "<option value=\"" . $rowkraj['id'] . "\">" . $rowkraj['nazev'];
                                }
                                ?>
                            </select><br><br>
                            <input type = "submit" value = " Potvrdit "/><br>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <footer>
            <p>Copyright (c) 2017 Řemeslníci. David Prchlík.</p>
        </footer>
    </body>
</html>
