<!DOCTYPE html>
<?php
session_start();
include("konfigurace.php");
?>
<html>
    <head>
        <?php include("head.php"); ?>
        <script type="text/javascript">
            function change(id)
            {
                var cname = document.getElementById(id).className;
                var ab = document.getElementById(id + "_hidden").value;
                document.getElementById("phprating").value = ab;
                for (var i = ab; i >= 1; i--)
                {
                    document.getElementById(cname + i).innerHTML = "&#9733";
                }
                var id = parseInt(ab) + 1;
                for (var j = id; j <= 5; j++)
                {
                    document.getElementById(cname + j).innerHTML = "&#9734";
                }
            }
        </script>
    </head>
    <body>
        <div id="wrapper">
            <header>
                <p>
                    <?php
                    include("hlavicka.php");
                    ?>
                </p>
                <a href="index.php">
                    <div id="logo">
                        <h1>Řemeslníci</h1>
                    </div>
                </a>
            </header>
            <div id="page">
                <div class="pulka">
                    <h3>Detaily o řemeslníkovi</h3>
                    <?php
                    $sql = "SELECT * FROM remeslnici where id=" . $_GET["a"];
                    $result = $conn->query($sql);
                    $row = $result->fetch_assoc();
                    if (isset($_GET["phprating"])) {
                        $hodnoceni = $row["hodnoceni"] + $_GET["phprating"];
                        $hodnocenimax = $row["hodnocenimax"] + 5;
                        $sqlu = "UPDATE remeslnici SET hodnoceni='" . $hodnoceni . "', hodnocenimax='" .
                                $hodnocenimax . "' WHERE id=" . $_GET["a"];
                        if ($conn->multi_query($sqlu) === TRUE) {
                            header("location: detail.php?a=" . $_GET["a"]);
                        } else {
                            echo "Chyba: " . $sqlu . "<br>" . $conn->error;
                        }
                    }
                    if ($row["hodnoceni"] == 0) {
                        $hodnoceni = 0;
                    } else {
                        $hodnoceni = $row["hodnoceni"] / $row["hodnocenimax"] * 100;
                    }
                    echo "Jmeno: " . $row["jmeno"] . "<br>Prijmeni: " . $row["prijmeni"] . "<br> Email: " . $row["email"] .
                    "<br>Firma: " . $row["firma"] . "<br>Webové stránky: " . $row["web"] . "<br>Telefon: " . $row["telefon"] .
                    "<br>Cena: " . $row["cena"] . "<br>Popis: " . $row["popis"] . "<br>Hodnocení: " . $hodnoceni . "%<br>";
                    $polekat = unserialize($row["kategorie"]);
                    echo "<br>Kategorie: <br>";
                    foreach ($polekat as $kat) {
                        $resultkat = $conn->query("SELECT nazev FROM kategorie WHERE id='$kat'");
                        while ($rowkat = $resultkat->fetch_assoc()) {
                            echo $rowkat['nazev'] . "<br>";
                        }
                    }
                    $polekraj = unserialize($row["kraj"]);
                    echo "<br>Kraje: <br>";
                    foreach ($polekraj as $kraj) {
                        $resultkraj = $conn->query("SELECT nazev FROM kraje WHERE id='$kraj'");
                        while ($rowkraj = $resultkraj->fetch_assoc()) {
                            echo $rowkraj['nazev'] . "<br>";
                        }
                    }
                    if ($_SESSION["prihlasen"] == true) {
                        include 'hodnoceni.php';
                    }
                    ?> 
                </div>
                <div class="pulka">
                    <h3>Termínovník</h3>
                    <table>
                        <tr><th>Datum</th><th>Den</th><th>Stav</th></tr>
                        <?php
                        echo "<tr>";
                        $mesic = date('n');
                        $rok = date('Y');
                        $num = cal_days_in_month(CAL_GREGORIAN, $mesic, $rok);
                        for ($den = 1; $den <= $num; $den++) {
                            $datum = date('j.n.Y', strtotime($rok . '-' . $mesic . '-' . $den));
                            echo date('<\t\d>j.n.Y</\t\d><\t\d>l</\t\d>', strtotime($rok . '-' . $mesic . '-' . $den));
                            $vikend = date('N', strtotime($rok . '-' . $mesic . '-' . $den));
                            $vypis = "";
                            if ($vikend == 6 || $vikend == 7) {
                                $vypis = "ZAVŘENO";
                            }
                            $sql = "SELECT * FROM terminovnik WHERE idrem=" . $_GET["a"];
                            $result = $conn->query($sql);
                            while ($row = $result->fetch_assoc()) {
                                if ($row['datum'] == $datum) {
                                    $vypis = $row['stav'];
                                }
                            }
                            if ($vypis == "") {
                                if ($_SESSION['prihlasen'] == true) {
                                    $vypis = "<a href='rezervace.php?datum=$datum&id=" . $_GET["a"] . "'>VOLNO</a>";
                                } else {
                                    $vypis = "VOLNO";
                                }
                            }
                            echo "<td>" . $vypis . "</td>";
                            echo "</tr>";
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>
        <footer>
            <p>Copyright (c) 2017 Řemeslníci. David Prchlík.</p>
        </footer>
    </body>
</html>
