<!DOCTYPE html>
<?php
session_start();
include("konfigurace.php");
?>
<html>
    <head>
        <?php include("head.php"); ?>
    </head>
    <body>
        <div id="wrapper">
            <header>
                <p>
                    <?php
                    include("hlavicka.php");
                    ?>
                </p>
                <a href="index.php">
                    <div id="logo">
                        <h1>Řemeslníci</h1>
                    </div>
                </a>
            </header>
            <div id="page">
                <form action="vypis.php" method="get">
                    <div id="blok">                    
                        <h2>Vyhledávání</h2>
                        <div class="box">
                            <h3>Vyberte kategorii</h3>
                            <?php
                            $sql = "SELECT id, nazev FROM kategorie";
                            $result = $conn->query($sql);
                            if ($result->num_rows > 0) {
                                while ($row = $result->fetch_assoc()) {
                                    echo "<input type=\"radio\" name=\"a\" value=" . $row["id"] . ">" . $row["nazev"] . "<br>";
                                }
                            } else {
                                echo "Nebyly nalezeny žádné kategorie.";
                            }
                            ?> 
                        </div>
                        <div class="box">
                            <h3>Vyberte kraj</h3>
                            <?php
                            $sql = "SELECT id, nazev FROM kraje";
                            $result = $conn->query($sql);
                            if ($result->num_rows > 0) {
                                while ($row = $result->fetch_assoc()) {
                                    echo "<input type=\"radio\" name=\"b\" value=" . $row["id"] . ">" . $row["nazev"] . "<br>";
                                }
                            } else {
                                echo "Nebyly nalezeny žádné kraje.";
                            }
                            ?> 
                        </div>
                        <div class="box">
                            <h3>Vyberte den</h3>
                            <input type="date" name="datum"><br>
                            <br><br><br>
                        </div>                                           
                    </div>
                    <input type = "submit" value = " Vyhledat "/><br> 
                </form>
            </div>
        </div>
        <footer>
            <p>Copyright (c) 2017 Řemeslníci. David Prchlík.</p>
        </footer>
    </body>
</html>
