<!DOCTYPE html>
<?php
session_start();
include("konfigurace.php");
?>
<html>
    <head>
        <?php include("head.php"); ?>
    </head>
    <body>
        <div id="wrapper">
            <header>
                <p>
                    <?php
                    include("hlavicka.php");
                    ?>
                </p>
                <a href="index.php">
                    <div id="logo">
                        <h1>Řemeslníci</h1>
                    </div>
                </a>
            </header>
            <div id="page">
                <div id="vypis">
                    <h2>Výsledky vyhledávání</h2>
                    <?php
                    if (isset($_GET["a"]) && isset($_GET["b"])) {
                        $sql = "SELECT * FROM remeslnici";
                        $result = $conn->query($sql);
                        $count = 0;
                        while ($row = $result->fetch_assoc()) {
                            $polekat = unserialize($row["kategorie"]);
                            $polekraj = unserialize($row["kraj"]);
                            foreach ($polekat as $kat) {
                                foreach ($polekraj as $kraj) {
                                    if ($kat == $_GET["a"] && $kraj == $_GET["b"]) {
                                        $sqlt = "SELECT * FROM terminovnik";
                                        $resultt = $conn->query($sqlt);
                                        $vysledek = true;
                                        while ($rowt = $resultt->fetch_assoc()) {
                                            if (($rowt['datum'] == date('j.n.Y', strtotime($_GET["datum"])) && $rowt['idrem'] == $row['id']) || date('N', strtotime($_GET["datum"])) == 6 || date('N', strtotime($_GET["datum"])) == 7) {
                                                $vysledek = false;
                                            }
                                        }
                                        if ($vysledek) {
                                            $count++;
                                            if ($row["hodnoceni"] == 0) {
                                                $hodnoceni = 0;
                                            } else {
                                                $hodnoceni = $row["hodnoceni"] / $row["hodnocenimax"] * 100;
                                            }
                                            echo "<a href=\"detail.php?a=" . $row["id"] . "\"><div id=\"vbox\"> Jméno: " .
                                            $row["jmeno"] . "<br>Příjmění: " . $row["prijmeni"] .
                                            "<br>Firma: " . $row["firma"] . "<br>Cena: " . $row["cena"] . "<br>Popis: " .
                                            $row["popis"] . "<br>Hodnocení: " . $hodnoceni . "%</div></a>";
                                        }
                                    }
                                }
                            }
                        }
                        if ($count == 0) {
                            echo "V této kategorii, kraji a v tento den nemají volno žádní řemeslníci.";
                        }
                    } else {
                        echo "Musíte vybrat kategorii a kraj!";
                    }
                    ?>
                </div>
            </div>
        </div>
        <footer>
            <p>Copyright (c) 2017 Řemeslníci. David Prchlík.</p>
        </footer>
    </body>
</html>
